
#include <math.h>
#include <string.h>

#ifndef standards_def
#define standards_def

#define max_parts	1000

#define Rad2AllegroDeg  40.74366543153
#define Degree			0.0174532925199432957692369076848861	

#define max_units   100

#ifndef M_PI
#define M_PI 3.14159265358979323846
#endif

#define S_W         640
#define S_H         480
#define DEPTH       16

#define gravity .8
#define term_vel 20.8
#define LEFT    0
#define RIGHT   1
#define UP      -1
#define DOWN    1

#define WEB     1
#define LATEST  -1


#define hardware_accel  (false)

#define LOG "log.txt"
#define MAKE_LOGFILE

typedef struct
{
    float x,y;
} Point;

typedef struct
{
    float dx,dy,length;
    float angle;
} Vector;

typedef struct
{
    Point p1,p2;
} Rect;



int check_col_with_bitmap(int w1, int h1, int w2, int h2, float x1, float y1, float x2, float y2);
float get_dist(float x1,float y1,float x2,float y2);
float get_dist(Point *p1, Point *p2);
int check_col_with_rect(Rect *r1, Rect *r2);
float abval(float n);
int toggle(int n);

void outtext(char *filename, char *info);



#endif
